/**
 * Internal dependencies
 */
import './style.scss';
import {
	disableExternalLinks,
	addParamToLocalLinks,
} from '../../../../../../packages/utils/links';

export function initCssPreviewer(): void {
	window.addEventListener( 'message', previewCssInMessage, false );
	addCustomStyleTag();
	disableExternalLinks();
	addParamToLocalLinks( 'nab-css-previewer' );
} //end initCssPreviewer()

// =======
// HELPERS
// =======

function addCustomStyleTag() {
	const style = document.createElement( 'style' );
	style.setAttribute( 'id', 'nab-css-style' );
	style.setAttribute( 'type', 'text/css' );
	document.getElementsByTagName( 'head' )[ 0 ].appendChild( style );
} //end addCustomStyleTag()

type Message = {
	readonly data?: {
		readonly type: 'css-preview';
		readonly value: string;
	};
};

function previewCssInMessage( message: Message ): void {
	const action = message.data;
	if ( 'css-preview' !== action?.type ) {
		return;
	} //end if

	const style = document.getElementById( 'nab-css-style' );
	if ( style ) {
		style.innerHTML = action.value;
	} //end if
} //end previewCssInMessage()
